cgGetError(3)

NAME
cgGetError - get error condition

SYNOPSIS
  #include <Cg/cg.h>
  CGerror cgGetError( void );

PARAMETERS
None.

RETURN VALUES
Returns the last error condition that has occured.

Returns CG_NO_ERROR if no error has occurred.

DESCRIPTION
cgGetError returns the last error condition that has occured. The error condition is reset after cgGetError is called.

EXAMPLES
  CGerror err = cgGetError();

ERRORS
None.

HISTORY
cgGetError was introduced in Cg 1.1.

SEE ALSO
the cgSetErrorCallback manpage, the cgSetErrorHandler manpage